Query Passwords for an Email Address

Query all cleartext passwords for a given email address.

get

Returns a list of passwords in the Enzoic database for a given email address.

Authorizations
AuthorizationstringRequired

The Enzoic API uses a basic auth scheme where the username is your API key and the password is your API secret.
See https://docs.enzoic.com/enzoic-api-developer-documentation/using-the-enzoic-api#api-authentication for more details.

Query parameters
usernamestringRequired

The email or SHA-256 hash of the lowercased email you wish to check credentials for

Example: [email protected]
includeExposureDetailsintegerOptional

(Optional) If this parameter is specified and non-zero, the results will include the exposure details inline, rather than just the IDs. In this case the exposures array in the response will contain an array of ExposureDetails objects

Default: 0Example: 1
Responses
chevron-right
200

Passwords for the user were found in the Enzoic database and are included in the response

application/json
lastBreachDatestring · dateOptional

A string containing the date/time of the last credentials exposure found for this account. This can be used to more intelligently check credentials for a user, i.e. if the lastBreachDate is less than the last time you performed a credentials check, you can skip the remaining steps.

Example: 2022-12-10T02:05:03.000Z
get
/cleartext-credentials

Last updated

Was this helpful?